Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYakov Lerner <iler.ml@gmail.com>2006-05-22 23:34:00 +0400
committerJunio C Hamano <junkio@cox.net>2006-05-23 05:11:52 +0400
commitf803eec51b6fe812c523c8f6474e029163b307e8 (patch)
treeab06af3919bf414db7d4e42c5949f0336693b193 /git-clone.sh
parente3008464e70d25b4926b97b1f86951d7a3cb938d (diff)
Problem: 'trap...exit' causes error message when /bin/sh is ash.
Problem: 'trap...exit' causes error message when /bin/sh is ash. Fix: Change 'trap...exit' to 'trap...0' like in other scripts. Signed-off-by: Yakov Lerner <iler.ml@gmail.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 227245c865..d96894d4c2 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -199,7 +199,7 @@ dir="$2"
[ -e "$dir" ] && echo "$dir already exists." && usage
mkdir -p "$dir" &&
D=$(cd "$dir" && pwd) &&
-trap 'err=$?; cd ..; rm -r "$D"; exit $err' exit
+trap 'err=$?; cd ..; rm -r "$D"; exit $err' 0
case "$bare" in
yes) GIT_DIR="$D" ;;
*) GIT_DIR="$D/.git" ;;
@@ -407,5 +407,5 @@ Pull: refs/heads/$head_points_at:$origin_track" &&
fi
rm -f "$GIT_DIR/CLONE_HEAD" "$GIT_DIR/REMOTE_HEAD"
-trap - exit
+trap - 0